/*
 * =====================================================
 * (c) Rick van de Westelaken & Bram van der Vlist 2007
 * MasterClass Technology fall/winter 2007
 * =====================================================
 */

class Synapse
{
	double weight;
	double data;
	Neuron from;
	Neuron to;
  
	Synapse(Neuron f, Neuron t, int outNbr, int inNbr) 	// outNbr = the side of the synapse connected to the output of the neuron
	{													// inNbr = the side of the synapse connected to the input of the neuron
		from   = f;
		to     = t;
		weight = (Math.random() / 5.0);
		data   = 0.0;
		f.outlinks[outNbr]=this;
		t.inlinks[inNbr]=this;
	}
	
	/*
	 * returns the weight of the synapse
	 */
	public double getWeight()
	{
		return weight;
	}
}
