/*
 * =====================================================
 * (c) Rick van de Westelaken & Bram van der Vlist 2007
 * MasterClass Technology fall/winter 2007
 * =====================================================
 */

import lejos.nxt.ButtonListener;
import lejos.nxt.LCD;
import lejos.nxt.SensorPort;
import lejos.nxt.SoundSensor;
import lejos.nxt.Button;

public class nnTest extends Thread implements ButtonListener{
	nn netwerk = new nn();
	SoundSensor sound = new SoundSensor(SensorPort.S1, true);
	boolean recording = false;
	int[] recordedSamples = new int[300];
	
	public nnTest()
	{
		Button.ENTER.addButtonListener(this);
		Button.ESCAPE.addButtonListener(this);
	}
	
	public void buttonPressed(Button btn) {
		if (btn == Button.ENTER){
			recording = true;
		}
	}
	
	public void buttonReleased(Button btn){
		if (btn == Button.ENTER){
			recording = false;
		}
	}
	
	public void run()
	{
		while (true){
			int i=0;
			while (recording == true){
				recordedSamples[i] = sound.readValue();
				i++;
				try {Thread.sleep(30);}catch (Exception e){}	
			}
			if (i > 0)
			{
				int[] toNN = new int[i];
				for (int j =0;j<i;j++){
					toNN[j]=recordedSamples[j];
					LCD.clear();
					LCD.drawInt(netwerk.getVoiceCommand(toNN), 1, 1);
					LCD.refresh();
				}
			}
			try {Thread.sleep(100);}catch (Exception e){}	
		}
	}
	
	public static void main(String[] args) {
		nnTest nnxt = new nnTest();
		nnxt.start();
	}
}


